6.0.0-git
2019-01-23

[#6549] Support hours import from spreadsheet
Summary Support hours import from spreadsheet
Queue Hermes
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester php (at) ideacode (dot) com
Created 2008-03-31 (3950 days ago)
Due
Updated 2008-06-25 (3864 days ago)
Assigned
Resolved
Milestone
Patch No

History
2008-06-25 21:10:21 php (at) ideacode (dot) com Comment #5 Reply to this comment
Any news on this one?
As of yet, no.
2008-06-25 16:10:21 Jan Schneider Comment #4 Reply to this comment
Any news on this one?
2008-04-04 10:49:50 Jan Schneider Comment #3 Reply to this comment
And to actually answer your question: any application that supports 
import of CSV data is a good model. For simplicity, I personally would 
start with Nag or Mnemo because those are smaller and have fixed set 
of known fields like Hermes and unlike Turba.
2008-04-04 10:47:49 Jan Schneider Comment #2
State ⇒ Accepted
Reply to this comment
Even though I think the main use of Hermes is to get *rid* of 
stylesheet time tracking, an import feature would be a nice addition.
2008-03-31 20:18:00 php (at) ideacode (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Support hours import from spreadsheet
Queue ⇒ Hermes
Milestone ⇒
Patch ⇒ No
Reply to this comment
When working on multiple projects simultaneously, it's tedious and 
somewhat impractical to track hours one entry at a time.  Instead, a 
more convenient way is to keep the hours in a spreadsheet (Excel, Open 
Office, hand-edited CSV, etc.), then bulk upload those hours all at 
once.



For example, I might work on 10-30 issues (tracked in Whups) in a 
given day, and in no particular order.  It's only at the end of the 
day that I really know how many hours accumulated on all the issues.   
So, a natural use would be to accumulate in a spreadsheet then upload 
all at once.



Two other reasons exist for bulk uploading: (1) you work off-line 
("disconnected") and only reconcile your changes when you're in range 
of a network, and (2) you want to upload historically tracked hours to 
bootstrap your hermes database.



Before I go off and implement this, is there a model already in some 
Horde project that I can review?  I know Turba has one; is it a good 
one to model?



Other thoughts: I figure the required columns would be date, 
description, and hours: any other non-supplied columns would be 
defaulted per a user-specified value.  Additionally, the order 
wouldn't be important, but headers would be checked for the order.  I 
also figure the description would match against any cost objects: if 
not exactly one cost object match, that would be an error.  A summary 
should also be provided, so you can cross check the values for upload 
accuracy.

Saved Queries